# Enum MessageAttributeInterface.MessageAttributeType

java.lang.Object
java.lang.Enum<MessageAttributeInterface.MessageAttributeType>
de.javawi.jstun.attribute.MessageAttributeInterface.MessageAttributeType

All Implemented Interfaces:
  `Serializable, Comparable<MessageAttributeInterface.MessageAttributeType>, java.lang.constant.Constable`

Enclosing interface:
  `MessageAttributeInterface`

public static enum MessageAttributeInterface.MessageAttributeType extends Enum<MessageAttributeInterface.MessageAttributeType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ChangedAddress`
`ChangeRequest`
`Dummy`
`ErrorCode`
`MappedAddress`
`MessageIntegrity`
`Password`
`ReflectedFrom`
`ResponseAddress`
`SourceAddress`
`UnknownAttribute`
`Username`

## Method Summary

Modifier and Type
Method
Description
`static MessageAttributeInterface.MessageAttributeType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MessageAttributeInterface.MessageAttributeType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MappedAddress

public static final MessageAttributeInterface.MessageAttributeType MappedAddress

### ResponseAddress

public static final MessageAttributeInterface.MessageAttributeType ResponseAddress

### ChangeRequest

public static final MessageAttributeInterface.MessageAttributeType ChangeRequest

### SourceAddress

public static final MessageAttributeInterface.MessageAttributeType SourceAddress

### ChangedAddress

public static final MessageAttributeInterface.MessageAttributeType ChangedAddress

### Username

public static final MessageAttributeInterface.MessageAttributeType Username

### Password

public static final MessageAttributeInterface.MessageAttributeType Password

### MessageIntegrity

public static final MessageAttributeInterface.MessageAttributeType MessageIntegrity

### ErrorCode

public static final MessageAttributeInterface.MessageAttributeType ErrorCode

### UnknownAttribute

public static final MessageAttributeInterface.MessageAttributeType UnknownAttribute

### ReflectedFrom

public static final MessageAttributeInterface.MessageAttributeType ReflectedFrom

### Dummy

public static final MessageAttributeInterface.MessageAttributeType Dummy

## Method Details

### values

public static MessageAttributeInterface.MessageAttributeType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MessageAttributeInterface.MessageAttributeType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null